﻿using System.Collections.Generic;
using System.Xml.Serialization;

namespace WingMan.MouseKey
{
    public class MouseKeyBindings
    {
        [XmlIgnore] public static readonly XmlSerializer XmlSerializer = new XmlSerializer(typeof(MouseKeyBindings));

        public MouseKeyBindings()
        {
        }

        public MouseKeyBindings(List<MouseKeyBinding> bindings) : this()
        {
            Bindings = bindings;
        }

        public List<MouseKeyBinding> Bindings { get; set; }
    }
}
